Get deployment product config
curl --request GET \
--url https://api.example.com/api/agent/deployments/{deploymentId}/products \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.example.com/api/agent/deployments/{deploymentId}/products"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.example.com/api/agent/deployments/{deploymentId}/products', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"products": {
"ai": {
"legacy_allow_openai_code_sharing": true,
"enabled": true,
"send_patch_emails": true,
"allowed_providers": [
"<string>"
]
},
"sast": {
"enabled": true,
"human_autofix_enabled": true,
"ai_autofix": {
"enabled": true,
"min_confidence": 123
},
"ai_autotriage": {
"enabled": true,
"hide_false_positive_comments": true,
"send_to_scm_comments": true,
"send_to_slack": true
},
"ai_detection": {
"enabled": true
},
"autofix_pr_enabled": true
},
"sca": {
"enabled": true,
"blockPrEnabled": true,
"prCommentsEnabled": true,
"maliciousDependencyAdvisoriesEnabled": true,
"upgradeGuidanceEnabled": true,
"malwareFirewallEnabled": true
},
"secrets": {
"enabled": true,
"global_validation_state_policy": {
"error": "<string>",
"invalid": "<string>"
},
"historical_scan": {
"enabled": true
},
"generic_secrets": {
"enabled": true
}
},
"approversTag": "<string>",
"hasDeveloperTriage": true
}
}Deployment Products
Get deployment product config
Get the product configuration for a deployment
GET
/
api
/
agent
/
deployments
/
{deploymentId}
/
products
Get deployment product config
Authorizations
SemgrepWebTokenSemgrepJWT
Get access to data with your API token. Example header:
Authorization: Bearer 2991e2fb4b540fe75b8f90677b0b892b6314e4961cb001fe6eb452eee248a628
The token can be provisioned from the Tokens section in your Settings, and requires explicitly enabling Web API access.
Path Parameters
Response
200 - application/json
OK
Regular product configuration types
Show child attributes
Show child attributes
Was this page helpful?
⌘I